﻿using System;
using System.Collections.Generic;
using System.Text;
using Editor.Numbering;
using Editor.View;
using Editor.Text;
using System.Drawing;

namespace Editor.Document.UseCase
{
    public sealed class MainFlow : Flow
    {
        public override string CurrentNumber
        {
            get { return string.Concat( numbering.ToString(), "." ); }
        }

        public override string LongestNumber
        {
            get { return string.Concat( numbering.LongestNumber, "." ); }
        }

        public MainFlow( INumbering numbering, string name ) : base( numbering, name )
        {
        }
    }
}
