﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Editor.Project
{
    public sealed class ActorArguments : Arguments
    {
        private string name;

        public string Name
        {
            get { return name; }
        }

        public ActorArguments( string name )
        {
            this.name = name;
        }
    }

    public sealed class UseCaseArguments : Arguments
    {
        private string name;

        public string Name
        {
            get { return name; }
        }

        public UseCaseArguments( string name )
        {
            this.name = name;
        }
    }

    public sealed class UseCaseModelArguments : Arguments
    {
        private string name;

        public string Name
        {
            get { return name; }
        }

        public UseCaseModelArguments( string name )
        {
            this.name = name;
        }
    }
}
