﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace Editor.Text
{
    public interface IStyleTable : IChangeHandler
    {
        IStyle this[short index] { get; set; }
        short DefaultStyles { get; }
        short MaximumIndex { get; }

        void Add( short index, IStyle item );
        void Clear();
        bool Contains( short index );
        IEnumerator GetEnumerator();
        bool IsDefault( short index );
        bool Remove( short index );
    }
}
