﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Editor.Commands
{
    public interface ICommandManager
    {
        IUndoableCommand LastCommand { get; }
        IUndoableCommand RedoCommand { get; }
        IUndoableCommand UndoCommand { get; }

        bool ExecuteCommand( ICommand command );
        void Redo();
        void Undo();

    }
}
