﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Editor.Numbering
{
    public sealed class NumberingArgs : EventArgs
    {
        private short level;
        private short number;

        public short Level 
        {
            get { return level; }
        }

        public short Number
        {
            get { return number; }
        }

        public NumberingArgs( short level, short number ) : base()
        {
            this.level = level;
            this.number = number;
        }
    }
}
