﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Editor.Project;

namespace UseCaseTool.Forms
{
    public partial class InsertDefinitionForm : Form
    {
        private DictionaryWord dictionaryWord;

        public DictionaryWord Definition
        {
            get { return dictionaryWord; }
        }

        public InsertDefinitionForm()
        {
            dictionaryWord = null;

            InitializeComponent();
        }

        public InsertDefinitionForm( UseCaseProject project )
        {
            dictionaryWord = null;

            InitializeComponent();

            wordsLB.DataSource = project.DictionaryWords;
        }

        private void confirmBN_Click(object sender, EventArgs e)
        {
            if( wordsLB.SelectedIndex < 0 ) return;

            dictionaryWord = wordsLB.SelectedItem as DictionaryWord;

            DialogResult = DialogResult.OK;
        }
    }
}
